<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'Users' }) %>
<body>
    <%- include('partials/navbar.ejs', { search: 0 }) %>
    <main>
        <h1>Users</h1>
        <div id="container">
            <% persons.forEach((person) => { %>
                <div id = "personID<%= person.personID %>">
                    <b>First Name:</b> <%= person.firstName %> <br>
                    <b>Last Name:</b> <%= person.lastName %> <br>
                    <b>Username:</b> <%= person.username %> <br>
                    <b>Email:</b> <%= person.email %> <br>
                    <b>Age:</b> <%= person.age %> <br>
                    <b>Telephone:</b> <%= person.telephone %> <br>
                    <% if (person.confirmed == 0) { %>
                        <input class='btn btn-success' onclick="confirmPerson(event, '<%= person.personID %>')" type='button' value='Confirm'>
                    <% } else{ %>
                        <input class='btn btn-danger' onclick="blockPerson(event, '<%= person.personID %>')" type='button' value='Block'> 
                    <% } %>
                </div>
                <br>
                <br>
            <% }) %>
        </div>
    </main>
    <script src="/confirm.js"></script>
</body>
</html>